---
title: "Retrieve Users By Company Code, User ID, Employee No and Created Date"
slug: "retrieve-users-by-company-code-user-id-employee-no-and-created-date"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-users-by-company-code-user-id-employee-no-and-created-date"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Users By Company Code, User ID, Employee No and Created Date

Get/sys-rest-api/jersey/v1/users

#### Retrieve Users By Company Code, User ID, Employee No and Created Date

This endpoint retrieves users information with the option to filter and optimize the request performance using the following parameters:

Request Parameters: userId (query parameter) - User ID compCode (query parameter) -Company Code

empNo (query parameter) - Employee Code createDate (query parameter) -Created Date

Response Body: The response will contain the details of the user in the JSON format. Here is an example of the response body:

```json
{
  "count": 1,
  "items": [
    {
      "user": "FERNANDO",
      "empNo": null,
      "firstName": "Fernando",
      "lastName": "Melo",
      "configCode": null,
      "configDesc": null,
      "compCode": "ZZ",
      "contactCode": "FME",
      "addCode": null,
      "email": "fernando.melo@cmic.ca",
      "regionCode": null,
      "postalCode": null,
      "country": null,
      "workPhoneNnum": "123 312 2983",
      "faxNum": "234 312 2983",
      "ldapServerName": "Default",
      "defaultConsoleName": "CONSOLE",
      "defaultConsoleDesc": "Standard Console",
      "dbUserFlag": "N",
      "portalLdapUser": "FERNANDO",
      "portalUser": "FERNANDO",
      "uuid": "FC12B242F55321D2E053AF811DAC70A2",
      "createDate": "2019-04-11T16:12:14.000+0000"
    }
  ]
}
```

SecurityHTTPType basic

Basic authentication

Query parametersuserIdstringExamplefernando
compCodestringExamplezz
empNostring
createDatestringExample2019-04-11

Responses200

OK

HeadersContent-TypestringExampleapplication/json
<select class='api-response-data' aria-label='Media type'><option value='24d2657a-b77d-49ea-9645-b31e687c743a'>application/json</option>
</select>

```json
{
  "count": 1,
  "items": [
    {
      "user": "FERNANDO",
      "empNo": null,
      "firstName": "Fernando",
      "lastName": "Melo",
      "configCode": null,
      "configDesc": null,
      "compCode": "ZZ",
      "contactCode": "FME",
      "addCode": null,
      "email": "fernando.melo@cmic.ca",
      "regionCode": null,
      "postalCode": null,
      "country": null,
      "workPhoneNnum": "123 312 2983",
      "faxNum": "234 312 2983",
      "ldapServerName": "Default",
      "defaultConsoleName": "CONSOLE",
      "defaultConsoleDesc": "Standard Console",
      "dbUserFlag": "N",
      "portalLdapUser": "FERNANDO",
      "portalUser": "FERNANDO",
      "uuid": "FC12B242F55321D2E053AF811DAC70A2",
      "createDate": "2019-04-11T16:12:14Z"
    }
  ]
}
```

object
